---
stage: Solutions Architecture
group: Solutions Architecture
info: This page is owned by the Solutions Architecture team.
title: Solution Components
---

This documentation section covers a variety of Solution Components developed and provided by GitLab.
To download and run these solution components, request your account team for invitation code.

## DevSecOps Workflow

GitLab Solution to provide end to end DevSecOps workflow. 

[Cloud-native apps]

[Microservices]

[Mobile Apps](workflow_mobileapps.md)

[Windows apps]

[Engineering apps]

[Embedded DevOps]

[Data Science]

[Data Analytics]

## Integrated DevSecOps

GitLab Solution to provide an integrated end to end DevSecOps workflow. 

[Secure Software Development Workflow: VeraCode SAST]

[Secure Software Development Workflow Workflow: Snyk SAST]

[Secure Software Development Workflow Workflow: SAST/SCA]

[Change Control Workflow: ServiceNow](integrated_servicenow.md)

[Change Control Workflow: Jira]

[Testing: SaurceLabs]

[Release Workflow: ArgoCD]

[Software Assurance: SonarQube]

[CI/CD Workflow: Replace Octopus Depoloy]

[DevOps Pipeline: Overlay to Jenkins]

## Metrics and KPIs

GitLab Solution to provide metrics and dashboard. 

[GitLab Usage Report]

[Security Metrics and KPIs Dashboard](securitykpi.md)

## Sectors

GitLab Solution to provide industry specific turn-key solution. 

[Regulated Industry SDLC Compliance Solution](regulatedindustry_sdlc.md)

[Telecom SDLC Solution: BSS/OSS]

[Retail/E-Comm: POS and Supply Chain SDLC Solution]

[Automative: Software Defined Vehicle SDLC Solution]

## GenAI and Data Science

GitLab AI Solution. 

[AI Gateway Solution: Self hosted extension](ai_gatewaysolution.md)

[Agentic Workflow: DevSecOps]

[Agentic Workflow: Code Transformation]

[Agentic Workflow: Complete Code Assistance]

[Agentic Workflow: Auto-Remediation at Scale]
